Multivariate Pattern Analysis in Python

# mvpa2.mappers.mdp_adaptor.ICAMapper

class `mvpa2.mappers.mdp_adaptor.``ICAMapper`(alg='FastICA', nodeargs=None, **kwargs)

  Convenience wrapper to perform ICA using MDP nodes.

  Notes

  Available conditional attributes:

  - `calling_time+`: None
  - `raw_results`: None
  - `trained_dataset`: None
  - `trained_nsamples+`: None
  - `trained_targets+`: None
  - `training_time+`: None

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `proj` | Projection matrix (as an array)
  `recon` | Backprojection matrix (as an array)
  `space` | Processing space name of this node

  Methods

  Parameters:

  alg : {‘FastICA’, ‘CuBICA’}

  > Which MDP implementation of an ICA to use.

  nodeargs : None or dict

  > Arguments passed to the MDP node in various stages of its lifetime. See the baseclass for more details.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  node : mdp.Node instance

  > This node instance is taken as the pristine source of which a copy is made for actual processing upon each training attempt.

  Attributes

  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `descr` | Description of the object if any
  `force_train` | Whether the Learner enforces training upon everycalled.
  `is_trained` | Whether the Learner is currently trained.
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `proj` | Projection matrix (as an array)
  `recon` | Backprojection matrix (as an array)
  `space` | Processing space name of this node

  Methods

  `proj`

    Projection matrix (as an array)

  `recon`

    Backprojection matrix (as an array)